Bug 739817 - fcoe-target-utils miss epydoc as dependency in SPEC file
Summary: fcoe-target-utils miss epydoc as dependency in SPEC file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fcoe-target-utils
Version: 6.1
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Storage QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 07:07 UTC by Gris Ge
Modified: 2011-10-04 22:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 22:40:31 UTC


Attachments (Terms of Use)

Description Gris Ge 2011-09-20 07:07:40 UTC
Description of problem:
==========
Traceback (most recent call last):
  File "/usr/bin/targetadmin", line 24, in <module>
    from rtsadmin import UIRoot
  File "/usr/lib/python2.6/site-packages/rtsadmin/__init__.py", line 18, in <module>
    from ui_root import UIRoot
  File "/usr/lib/python2.6/site-packages/rtsadmin/ui_root.py", line 22, in <module>
    from ui_node import UINode
  File "/usr/lib/python2.6/site-packages/rtsadmin/ui_node.py", line 20, in <module>
    from configshell import ConfigNode, ExecutionError
  File "/usr/lib/python2.6/site-packages/configshell/__init__.py", line 18, in <module>
    from log import Log
  File "/usr/lib/python2.6/site-packages/configshell/log.py", line 22, in <module>
    import console
  File "/usr/lib/python2.6/site-packages/configshell/console.py", line 26, in <module>
    import epydoc.markup.epytext
ImportError: No module named epydoc.markup.epytext
==========

Please add epydoc into fcoe-target-utils dependency in SPEC file.

Version-Release number of selected component (if applicable):
fcoe-target-utils-1.99.1.git37f175c-6.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install fcoe-target-utils but don't install epydoc
2. execute targetadmin
  
Actual results:


Expected results:


Additional info:

Comment 1 Andy Grover 2011-09-20 17:13:43 UTC
make sure you have python-configshell-1.99.1.git987b63b-4, which fixes this.

Comment 2 Gris Ge 2011-09-23 07:24:46 UTC
Andy,

I cannot find python-configshell-1.99.1.git987b63b-4 in brew.

if your package are need that version and above, please specify in SPEC file.
Request OS update is not the way for rpm dependency.

Comment 3 Andy Grover 2011-09-23 18:54:19 UTC
Apologies, -5 is in brew now, and errata updated.

Comment 5 Gris Ge 2011-09-29 03:08:26 UTC
New version of python-configshell fix the problem by providing epydoc

If possible, can we update SPEC file of fcoe-target-utils by add this line:
===
Requires:       python-configshell >= 1.99.1.git987b63b-5
===

Remove epydoc from "BuildRequires" might also needed.


As this is new package we ship in RHEL 6.2, you can simply ignore this request.


Note You need to log in before you can comment on or make changes to this bug.